// ZGLScene.h: interface for the CZGLScene class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ZGLSCENE_H__893E8DC6_7D3F_4585_B354_2429170432C1__INCLUDED_)
#define AFX_ZGLSCENE_H__893E8DC6_7D3F_4585_B354_2429170432C1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Rasterizer\Scene.h"

#include "Rasterizer\MeshFrame.h"
#include "Rasterizer\KeyFrame.h"

class CZGLScene : public CScene  
{
protected:
	CMeshFrame*	m_pMeshFrame;
	CKeyFrame*	m_pKeyFrame;

public:
	CZGLScene();
	virtual ~CZGLScene();

	void Destroy();
	bool Create(HDC hDC, DWORD dwWidth, DWORD dwHeight, USHORT bitsPerPel);

	void Update();
	void Render();
};

#endif // !defined(AFX_ZGLSCENE_H__893E8DC6_7D3F_4585_B354_2429170432C1__INCLUDED_)
